<?php

/**
 * @file
 * Post update hooks for search_api_decoupled_ui module.
 */

use Drupal\Core\Config\Entity\ConfigEntityUpdater;
use Drupal\search_api_decoupled_ui\SearchApiEndpointUiInterface;

/**
 * Set state_manager to "url" for all search_api_endpoint entities.
 */
function search_api_decoupled_ui_post_update_10001(&$sandbox) {
  $config_entity_updater = \Drupal::classResolver(ConfigEntityUpdater::class);
  $callback = function (SearchApiEndpointUiInterface $search_api_endpoint) {
    $search_api_endpoint->setStateManager('url');
    return TRUE;
  };
  $config_entity_updater->update($sandbox, 'search_api_endpoint', $callback);
}
